Ticket #43711

gcc-12: tolua_event.c "use after free" compiler warning

Open Date: 2022-01-27 15:59 Last Update: 2022-01-29 19:29

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

gcc-12 development version gives a "use after free" warning about 'u' freed in tolua_event.c:396 and then passed as a parameter in tolua_event.c:397.

Ticket History (3/5 Histories)

2022-01-27 15:59 Updated by: cazfi
  • New Ticket "gcc-12: tolua_eent.c "use after free" compiler warning" created
2022-01-27 15:59 Updated by: cazfi
  • Summary Updated
2022-01-28 01:07 Updated by: cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 3.0.0 (closed)
Comment

Will push to S2_6 too.

2022-01-29 19:29 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login